Subject: Re: [PATCH net-next 1/2] mlx4_en: Add PTP hardware clock

From: Richard Cochran <[email-masked]>
Date: Mon, 23 Dec 2013 19:48:46 +0100

On Sun, Dec 22, 2013 at 03:13:12PM +0200, Hadar Hen Zion wrote:

> 2. Adding spin lock in the data path reduce performance by 15% when
> HW timestamping is enabled. I did some testing and replacing
> spin_lock_irqsave with read/write_lock_irqsave prevents the
> performance decrease.

Why do the spin locks cause such a bottleneck?

Is there really that much lock contention in your test?

Your figure of 15% seems awfully high. How did you arrive at that
figure?

Thanks,
Richard